org.apache.sling.hc.samples.junit

## Class SampleJUnitTest

- java.lang.Object
- - org.apache.sling.hc.samples.junit.SampleJUnitTest

    public class SampleJUnitTest
    extends Object

Trivial test used to demonstrate the junit Health Check service. Verify that the BundleContext is injected and that a specific bundle is active.

### Constructor Summary

Constructors
Constructor and Description
`SampleJUnitTest()`

### Method Summary

Methods
`void` `checkBundleContext()`
`void` `checkGroovyBundleActive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SampleJUnitTest

    public SampleJUnitTest()

### Method Detail

#### checkBundleContext

    public void checkBundleContext()

#### checkGroovyBundleActive

    public void checkGroovyBundleActive()